Bug 158029 - Partitioning errors in anaconda on iBook (ppc)
Partitioning errors in anaconda on iBook (ppc)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-17 18:07 EDT by David Lawrence
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 18:38:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-05-17 18:07:46 EDT
Description of problem:
When checking partition information during fresh install of FC4 onto iBook G3
600, many error windows pop up reporting:

The partitions data region doesn't occupy the entire partition

Options are to ignore or cancel so I hit ignore. After about 5-6 of these
dialogs the next error comes up:

Attempt to read sectors 16-18 outside of partition on /dev/hda

This has the same options and pops back up about 5-6 times. Then I am allowed to
go to the next stage of anaconda such as whether to automatically partition or
customize. Then the errors start all over again. Seems to happen each time it
tries to read the partition info.

These errors do not occur using FC4 Test 3 DVD for ppc so they were introduced
sometime between then and now.

Version-Release number of selected component (if applicable):
rawhide-20050517
Comment 1 Chris Lumens 2005-05-18 16:23:23 EDT
Can you boot up the FC4 test 3 DVD, drop to the command line on tty2 and run:

parted /dev/hda print

Can you also run the same thing on rawhide and post what you're seeing?
Comment 2 David Lawrence 2005-05-18 18:38:12 EDT
FC4 Test3 DVD: parted /dev/hda print

Disk geometry for /dev/hda: 0.000-28615.781 megabytes
Disk label type: mac
Minor    Start       End     Filesystem  Name                  Flags
1          0.000      0.031              Apple
2          0.031      1.031  hfs         untitled              boot
4          1.031    101.031  ext3        untitled
3        128.031  14307.921  hfs+        Apple_HFS_Untitled_1
5      14307.922  14819.921  linux-swap  swap                  swap
6      14819.922  28515.781  ext3        untitled

rawhide-20050518: parted /dev/hda print

Disk geometry for /dev/hda: 0.000-28615.781 megabytes
Disk label type: mac
Minor    Start       End     Filesystem  Name                  Flags
1          0.000      0.031              Apple
2          0.031      1.031  hfs         untitled              boot
4          1.031    101.031  ext3        untitled
3        128.031  14307.921  hfs+        Apple_HFS_Untitled_1
5      14307.922  14819.921  linux-swap  swap                  swap
6      14819.922  28515.781  ext3        untitled

So no difference that I can see between the two.

And as luck would have it, i just tried to actually install the
rawhide-210050518 tree and the partition errors have disappeared. So bum build
with 20050517 I suppose. Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.